<template src="./template.html"></template>

<script lang="ts">
import { getModule } from "nuxt-property-decorator";
import { Vue, Component, Prop } from "vue-property-decorator";
import CountryFlag from "vue-country-flag";
import axios from "axios";
import { apiErrorHandler, redirectPage } from "@/utils/apiHanlers";
import { api } from "~/common/constaint";
import _, { cloneDeep } from "lodash";
@Component({})
export default class AdminSettingsComponent extends Vue {
  get settings() {
    return cloneDeep(this.$store.state.setting.siteInfo)
  }

  loading = false;
  loadingTable = false;

  listTimezone = [
    { name: "UTC +1", value: "+1" },
    { name: "UTC -9", value: "-9" },
    { name: "UTC -8 (US)", value: "-8" },
    { name: "UTC -7", value: "-7" },
    { name: "UTC +0", value: "+0" },
    { name: "UTC +7 (VN)", value: "+7" },
    { name: "UTC +8 (CN)", value: "+8" },
  ]

  async onUpdateSetting() {
    try {
      this.loading = true;
      const payload = {
        timezone: this.settings.timezone,
        ipServer: this.settings.ipServer,
        sendgridApikey: this.settings.sendgridApikey,
        zerosslKey: this.settings.zerosslKey,
        seventeenTrackKey: this.settings.seventeenTrackKey
      };
      await this.$api.setting.updateSetting(payload);
      this.$pushNotification.success("Update successfully");
    } catch (error) {
      apiErrorHandler(error, this);
    } finally {
      this.loading = false;
    }
  }

}
</script>

<style scoped>
.border-dashed {
  border: 1px dashed #076ce3;
}
</style>
